#ifndef FLYCAMERA_H
#define FLYCAMERA_H
// $Header: p:\\graphics\\CVS/src/GraphicsTown/FlyCamera.H,v 1.6 2000/11/27 19:39:42 gleicher Exp $
// GraphicsTown - CS559-2000, sample solution
//
#include "GrObject.H"

// the main kind of camera that flies around under user control

class FlyCamera : public GrObject {
public:
  FlyCamera();

  // if we're not looking out of this camera, we should draw it
  virtual void draw(DrawingState*);

  virtual int handle(int);
  virtual bool uiStep();

  // void getTransform(); // doesn't actually do anything since we
  // keep the info in the matrix anyway

  void turn(float);
  void pitch(float);
  void forward(float);
  void localTrans(float,float,float);

  unsigned long lastUItime;
};

class FollowCam : public GrObject {
public:
  unsigned long lastUItime;
  FollowCam();

  virtual bool uiStep();
  virtual int handle(int);

  void getTransform(); // doesn't actually do anything since we

  GrObject* following;

  float ox, oy, oz;
  float odx, ody, odz;
};
#endif
