#ifndef TOWNVIEWWIDGET_H
#define TOWNVIEWWIDGET_H
// $Header: p:\\graphics\\CVS/src/GraphicsTown/TownViewWidget.H,v 1.3 2000/11/27 07:36:17 gleicher Exp $
// $Header: p:\\graphics\\CVS/src/GraphicsTown/TownViewWidget.H,v 1.3 2000/11/27 07:36:17 gleicher Exp $
// GraphicsTown - CS559-2000, sample solution
//
// class TownViewWidget - an FlTk widget that allows the town to be
// viewed

#include "Fl/Fl_Gl_Window.H"

class GraphicsTownUI;
class DrawingState;
class GrObject;
class FollowCam;

class TownViewWidget : public Fl_Gl_Window
{
 public:
  // need this constructor for fluid
  TownViewWidget(int x, int y, int w, int h, const char* l=0);

  GraphicsTownUI* ui;

  void getStateFromUI(DrawingState*);

  GrObject* getCamera();

  GrObject* defaultCamera;
  FollowCam* followCamera;

 private:
  virtual void draw();
  virtual int handle(int);
};

#endif
